%define pypi_name service-identity

Name:           python-%{pypi_name}
Version:        21.1.0
Release:        %mkrel 1
Summary:        Service identity verification for pyOpenSSL
Group:          Development/Python
License:        MIT
URL:            https://github.com/pyca/service_identity
Source0:        %{pypi_name}-%{version}.tar.xz
BuildArch:      noarch

%description
Service Identity Verification for pyOpenSSL

Use this package if you use pyOpenSSL and don’t want to be MITMed.

service_identity aspires to give you all the tools you need for verifying
whether a certificate is valid for the intended purposes.

In the simplest case, this means host name verification. However,
service_identity implements RFC 6125 fully and plans to add other relevant RFCs
too.

%package -n python3-%{pypi_name}
Summary:        Logging as Storytelling
Group:          Development/Python

%description -n python3-%{pypi_name}
Service Identity Verification for pyOpenSSL

Use this package if you use pyOpenSSL and don’t want to be MITMed.

service_identity aspires to give you all the tools you need for verifying
whether a certificate is valid for the intended purposes.

In the simplest case, this means host name verification. However,
service_identity implements RFC 6125 fully and plans to add other relevant RFCs
too.

%prep
%setup -q -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf src/*.egg-info

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files
%doc LICENSE
%doc README.rst
%{python2_sitelib}/service_identity
%{python2_sitelib}/service_identity-%{version}-py%{python2_version}.egg-info

%files -n python3-%{pypi_name}
%doc LICENSE
%doc README.rst
%{python3_sitelib}/service_identity
%{python3_sitelib}/service_identity-%{version}-py%{python3_version}.egg-info


%changelog
* Tue Aug 16 2022 TerryN <terryn94 at gmail.com> 21.1.0-1pclos2022
- update and rebuild for python 3.10

* Sat Apr 20 2019 tex 18.1.0-1pclos2019
- new version 18.1.0
